<?php
namespace App\Console\Commands;

use App\Services\Kafka\KafkaService;
use Illuminate\Console\Command;
use Illuminate\Console\ConfirmableTrait;

class KafkaConsumerCommand extends Command
{
    use ConfirmableTrait;
    /**
     * 命令行的名称及用法。
     *
     * @var string
     */
    protected $signature = 'kafka:consumer
                            {--type= : 消费类型}';

    /**
     * 命令行的概述。
     *
     * @var string
     */
    protected $description = 'kafka 消费模式';

    /**
     * 创建新的命令实例。
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * 运行命令。
     * @throws \Exception
     */
    public function handle()
    {
        if (! $this->confirmToProceed()) {
            return 1;
        }

        $consumer_type = $this->option('type');
        switch($consumer_type){
            case 'zkh' : app(KafkaService::class)->startZkhConsumer();break;
            case 'wuxilab' : app(KafkaService::class)->startConsumer('wuxilab');break;
            default : app(KafkaService::class)->startConsumer();break;
        }
    }

}
