<?php
namespace App\Console\Commands;

use App\Services\ThirdPlatform\ThirdPlatformService;
use Illuminate\Console\Command;
use Illuminate\Console\ConfirmableTrait;

class ThirdPlatformJobCommand extends Command
{
    use ConfirmableTrait;
    /**
     * 命令行的名称及用法。
     *
     * @var string
     */
    protected $signature = 'platform:job 
                            {--action_type= : 任务操作类型}
                            {--params= : 任务参数}';

    /**
     * 命令行的概述。
     *
     * @var string
     */
    protected $description = '任务命令行';

    /**
     * 创建新的命令实例。
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * 运行命令。
     * @throws \Exception
     */
    public function handle()
    {

        if (! $this->confirmToProceed()) {
            return 1;
        }

        if($this->hasArgument('help')){
            $this->help();
        }else{
            $action_type = $this->option('action_type');
            $params = $this->option('params');

            if(empty($action_type)){
                $this->error('缺少命令参数,请输入具体的参数命令.如需帮助请输入 --help');
                exit;
            }

            $service = app(ThirdPlatformService::class);
            switch($action_type){
                case 'createPlatformToken' :
                    $token = $service->createPlatformToken($params);
                    var_dump($token);
                    break;
                default:
            }
        }
    }

    public function help()
    {
        $helpStr = "参数帮助说明";
        $this->comment($this->setHelp($helpStr)->getProcessedHelp());
    }
}
