<?php

namespace App\Finance\Repositories\Eloquent;

abstract class BaseRepository extends \App\Repositories\BaseRepository
{
    public function pagePaginate($data, $total, $request)
    {
        $pageData = [];

        $pageData['data'] = $data;
        $pageData['total'] = $total;

        $offset = $total;
        if(isset($request['page_size']) && !empty($request['page_size'])){
            $offset = $request['page_size'];
        }
        $pageData['total_page'] = ceil($total / $offset) - 1;
        if($total == 0){
            $pageData['total_page'] = 1;
        }
        $pageData['page_no'] = !isset($request['page_no']) || empty($request['page_no']) ? 1 : $request['page_no'];

        return $pageData;
    }
}
