<?php

namespace App\Finance\Repositories\Eloquent;

use App\Finance\Repositories\Contracts\BhuaInvoiceRepository;
use App\Finance\Repositories\Models\BhuaInvoice;

/**
 * Class UserRepositoryEloquent.
 */
class BhuaInvoiceRepositoryEloquent extends BaseRepository implements BhuaInvoiceRepository
{
    protected $fieldSearchable = [
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return BhuaInvoice::class;
    }

    public function getInvoiceById($id)
    {
        $invoice = $this->where('soi_id',$id)->get()->toArray();
        if($invoice){
            return current($invoice);
        }
        return null;
    }

    public function updateInvoiceById($id,$updateParams)
    {
        $invoice = $this->getInvoiceById($id);
        if($invoice){
            return $this->updateOrCreate(['soi_id' => $id],$updateParams)->toArray();
        }
        return null;
    }

    public function queryCustomerInfoByInvoiceId($invoiceId)
    {
        $customerInfo = null;
        $customerInfo = $this->join('customers', 'soinvoice.cus_id', 'customers.cus_id')
            ->where('soinvoice.soi_id', $invoiceId)
            ->get()->toArray();

        return $customerInfo;
    }
}
