<?php

namespace App\Finance\Repositories\Eloquent;

use App\Finance\Repositories\Contracts\RhawnInvoiceItemsRepository;
use App\Finance\Repositories\Models\RhawnInvoiceItems;

/**
 * Class UserRepositoryEloquent.
 */
class RhawnInvoiceItemsRepositoryEloquent extends BaseRepository implements RhawnInvoiceItemsRepository
{
    protected $fieldSearchable = [
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return RhawnInvoiceItems::class;
    }

    public function getInvoiceItemsByIdAndItemId($id, $itemId)
    {
        $invoiceItemInfo = null;

        $invoiceItemInfo = $this->join('dpdetail', 'dpdetail.dpd_id', 'soidetail.dpd_id')
             ->join('soitems', 'soitems.si_id', 'dpdetail.si_id')
             ->join('products', 'products.p_id', 'soitems.p_id')
            ->whereIn('soidetail.soid_id', $itemId)
            ->where('soidetail.soi_id', $id)
            ->select(
                'soidetail.soi_id','soidetail.soid_id', 'soidetail.soid_amount', 'dpdetail.dpd_num',
                'products.p_code', 'products.p_cn_name', 'products.p_pack', 'products.p_pack_unit', 'products.p_price'
            )->get()->toArray();

        return $invoiceItemInfo;
    }

    public function getInvoiceSorderItemsBySoItemsId($itemId)
    {
        $invoiceItemInfo = null;

        $invoiceItemInfo = $this->join('dpdetail', 'dpdetail.dpd_id', 'soidetail.dpd_id')
            ->join('soitems', 'soitems.si_id', 'dpdetail.si_id')
            ->join('sorders', 'sorders.so_id', 'soitems.so_id')
            ->join('products', 'products.p_id', 'soitems.p_id')
            ->whereIn('soidetail.soid_id', $itemId)
            /*->select(
                'soidetail.soi_id','soidetail.soid_id', 'soidetail.soid_amount', 'dpdetail.dpd_num',
                'products.p_code', 'products.p_cn_name', 'products.p_pack', 'products.p_pack_unit', 'products.p_price'
            )*/->get()->toArray();

        return $invoiceItemInfo;
    }
}
