<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Finance\Repositories\Models;

use App\Repositories\Models\Model;

class BhuaInvoice extends Model
{

    // 销售订单
    protected $table = 'soinvoice';

    protected $connection = 'bh_mysql';

    protected $primaryKey = 'soi_id';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'soi_api_status','soi_no','soi_date','soi_tax','soi_amount'
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [

    ];

    /**
     * update时不做自动更新时间操作
     * @return null
     */
    public function getUpdatedAtColumn()
    {
        return null;
    }

    public function getCreatedAtColumn()
    {
        return null;

    }

}