<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Finance\Repositories\Models;

use App\Repositories\Models\Model;

class InvoiceRecord extends Model
{

    // 销售订单
    protected $table = 'finance_invoice_record';

    protected $connection = 'mysql';

    protected $primaryKey = 'id';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'invoice_number', 'invoice_real_number', 'invoice_type', 'invoice_status', 'invoice_money', 'invoice_platform', 'platform_invoice_id',
        'invoice_creater_by', 'invoice_category', 'invoice_items', 'invoice_customer', 'invoice_real_date', 'invoice_pdf_url', 'api_response', 'created_at', 'updated_at'
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [

    ];

}