<?php

namespace App\Http\Controllers\Internal\V1\Bhua;

use App\Services\Api\BhuaProductsService;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;
use App\Http\Controllers\V1\Controller;
use App\Support\Traits\Helpers;

use OpenApi\Annotations\Post;
use OpenApi\Annotations\RequestBody;
use OpenApi\Annotations\MediaType;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;
use OpenApi\Annotations\Response as AnnotationResponse;
use OpenApi\Annotations as OA;

class ProductsController extends Controller
{
    use Helpers;

    public function __construct(BhuaProductsService $bhuaProductService)
    {
       $this->bhuaProdcutService = $bhuaProductService;
    }

    public function getAllBrands(Request $request)
    {
        $requestParams = $this->formatKeysfromArray($request->all(),'toUnderScore');

        try{
            $brandsList = $this->bhuaProdcutService->getAllBrands($requestParams);
            if($brandsList){
                $brandsList = $this->formatKeysfromArray($brandsList,'toCamelCase');
            }
            return Response::success($brandsList,'操作成功');
        }catch(\Throwable $exception){
            return $this->returnErrorExecptionResponse($exception,'获取品牌列表失败');
        }
    }
}
