<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;
use OpenApi\Annotations\Items;

/**
 * @Schema(
 *     title="订单列表响应内容",
 *     description="订单列表响应内容"
 * )
 *
 * @package App\Http\Responses
 */
class BrandsList extends JsonResponse
{
    /**
     * @Property(
     *     type="integer",
     *     description="总页数"
     * )
     *
     * @var integer
     */
    public $totalPage;

    /**
     * @Property(
     *     type="integer",
     *     description="当前页数"
     * )
     *
     * @var integer
     */
    public $pageNo;

    /**
     * @Property(
     *     type="array",
     *     @Items(ref="#/components/schemas/BrandsDetailProperty")
     * )
     *
     * @var array
     */
    public $list = [];

}
