<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;
use OpenApi\Annotations\Items;

/**
 * @Schema(
 *     title="发票订单列表数据响应内容",
 *     description="发票订单列表数据响应内容"
 * )
 *
 * @package App\Http\Responses
 */
class InvoiceOrderItemsList extends JsonResponse
{
    /**
     * @Property(
     *     type="string",
     *     description="订单编号"
     * )
     *
     * @var string
     */
    public $soNo;


    /**
     * @Property(
     *     type="number",
     *     description="发货数量"
     * )
     *
     * @var string
     */
    public $dpdNum;


    /**
     * @Property(
     *     type="number",
     *     description="金额"
     * )
     *
     * @var string
     */
    public $amount;

}
