<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;
use OpenApi\Annotations\Items;

/**
 * @Schema(
 *     title="订单发票列表数据响应内容",
 *     description="订单发票列表数据响应内容"
 * )
 *
 * @package App\Http\Responses
 */
class InvoiceOrderList extends JsonResponse
{
    /**
     * @Property(
     *     type="string",
     *     description="发票号"
     * )
     *
     * @var string
     */
    public $soiNo;


    /**
     * @Property(
     *     type="string",
     *     description="发票抬头"
     * )
     *
     * @var string
     */
    public $soiTitle;


    /**
     * @Property(
     *     type="number",
     *     description="不含税金额"
     * )
     *
     * @var string
     */
    public $soiAmount;

    /**
     * @Property(
     *     type="number",
     *     description="稅额"
     * )
     *
     * @var string
     */
    public $soiTax;

    /**
     * @Property(
     *     type="number",
     *     description="价税合计"
     * )
     *
     * @var string
     */
    public $soiTotal;

    /**
     * @Property(
     *     type="string",
     *     description="开票日期"
     * )
     *
     * @var string
     */
    public $soiDate;

    /**
     * @Property(
     *     type="string",
     *     description="登记日期"
     * )
     *
     * @var string
     */
    public $soiCtime;

}
