<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;
use OpenApi\Annotations\Items;

/**
 * @Schema(
 *     title="订单配货单响应内容",
 *     description="订单配货单响应内容"
 * )
 *
 * @package App\Http\Responses
 */
class OrdersDispatchList extends JsonResponse
{
    /**
     * @Property(
     *     type="string",
     *     description="发货单编号"
     * )
     *
     * @var string
     */
    public $dpCode;

    /**
     * @Property(
     *     type="string",
     *     description="订单编号"
     * )
     *
     * @var string
     */
    public $soNo;


    /**
     * @Property(
     *     type="string",
     *     description="快递名称"
     * )
     *
     * @var string
     */
    public $dpExpressName;

    /**
     * @Property(
     *     type="string",
     *     description="快递单号"
     * )
     *
     * @var string
     */
    public $dpExpressNo;

    /**
     * @Property(
     *     type="array",
     *     @Items(ref="#/components/schemas/OrdersDispatchProperty")
     * )
     *
     * @var array
     */
    public $detail = [];

}
