<?php

namespace App\Http\Controllers\Swagger\Responses\Rhawn\Properties;

use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;

/**
 * @Schema(
 *     title="产品详情内容",
 *     description="产品详情内容"
 * )
 */
class ProductByCas
{
    /**
     * @Property(
     *     type="string",
     *     description="产品编号"
     * )
     *
     * @var string
     */
    public $code;

    /**
     * @Property(
     *     type="string",
     *     description="cas"
     * )
     *
     * @var string
     */
    public $cas;


    /**
     * @Property(
     *     type="string",
     *     description="中文名称"
     * )
     *
     * @var string
     */
    public $chemCnName;

    /**
     * @Property(
     *     type="string",
     *     description="英文名称"
     * )
     *
     * @var string
     */
    public $chemEnName;

    /**
     * @Property(
     *     type="string",
     *     description="中文名称"
     * )
     *
     * @var string
     */
    public $cnName;

    /**
     * @Property(
     *     type="string",
     *     description="英文名称"
     * )
     *
     * @var string
     */
    public $enName;

    /**
     * @Property(
     *     type="string",
     *     description="项目规格"
     * )
     *
     * @var string
     */
    public $level;

    /**
     * @Property(
     *     type="number",
     *     description="单价"
     * )
     *
     * @var string
     */
    public $price;

    /**
     * @Property(
     *     type="number",
     *     description="市场价"
     * )
     *
     * @var string
     */
    public $marketPrice;

    /**
     * @Property(
     *     type="integer",
     *     description="状态"
     * )
     *
     * @var string
     */
    public $status;

    /**
     * @Property(
     *     type="integer",
     *     description="是否易制爆"
     * )
     *
     * @var string
     */
    public $ifExplode;

    /**
     * @Property(
     *     type="integer",
     *     description="是否危化品"
     * )
     *
     * @var string
     */
    public $ifDangers;

    /**
     * @Property(
     *     type="string",
     *     description="包装"
     * )
     *
     * @var string
     */
    public $pack;

    /**
     * @Property(
     *     type="number",
     *     description="重量"
     * )
     *
     * @var string
     */
    public $weight;

    /**
     * @Property(
     *     type="string",
     *     description="标签"
     * )
     *
     * @var string
     */
    public $tag;

    /**
     * @Property(
     *     type="string",
     *     description="城市"
     * )
     *
     * @var string
     */
    public $city;

    /**
     * @Property(
     *     type="string",
     *     description="货期"
     * )
     *
     * @var string
     */
    public $stock;

    /**
     * @Property(
     *     type="string",
     *     description="项目规格"
     * )
     *
     * @var string
     */
    public $pacs;
}
