<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn\Properties;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;

/**
 * @Schema(
 *     title="订单详情项内容",
 *     description="订单详情项内容"
 * )
 *
 * @package App\Http\Responses
 */
class OrdersDetailProperty
{
    /**
     * @Property(
     *     type="number",
     *     description="产品原价"
     * )
     *
     * @var string
     */
    public $siPrice;

    /**
     * @Property(
     *     type="integer",
     *     description="产品id"
     * )
     *
     * @var string
     */
    public $pId;


    /**
     * @Property(
     *     type="number",
     *     description="折扣价"
     * )
     *
     * @var string
     */
    public $siDiscount;

    /**
     * @Property(
     *     type="integer",
     *     description="购买数量"
     * )
     *
     * @var string
     */
    public $siNum;

    /**
     * @Property(
     *     type="number",
     *     description="小计"
     * )
     *
     * @var string
     */
    public $siAmount;

    /**
     * @Property(
     *     type="string",
     *     description="产品编号"
     * )
     *
     * @var string
     */
    public $pCode;

    /**
     * @Property(
     *     type="string",
     *     description="产品中文名称"
     * )
     *
     * @var string
     */
    public $pCnName;

    /**
     * @Property(
     *     type="string",
     *     description=""
     * )
     *
     * @var string
     */
    public $pLevel;

    /**
     * @Property(
     *     type="string",
     *     description="cas号"
     * )
     *
     * @var string
     */
    public $cCas;

}
