<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn\Properties;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;

/**
 * @Schema(
 *     title="订单配货单项内容",
 *     description="订单配货单项内容"
 * )
 *
 * @package App\Http\Responses
 */
class OrdersDispatchProperty
{

    /**
     * @Property(
     *     type="integer",
     *     description="发货数量"
     * )
     *
     * @var string
     */
    public $dpdNum;

    /**
     * @Property(
     *     type="number",
     *     description="发货金额"
     * )
     *
     * @var string
     */
    public $dpdAmount;

    /**
     * @Property(
     *     type="string",
     *     description="产品编号"
     * )
     *
     * @var string
     */
    public $pCode;

    /**
     * @Property(
     *     type="string",
     *     description="产品英文名称"
     * )
     *
     * @var string
     */
    public $pEnName;

    /**
     * @Property(
     *     type="string",
     *     description="产品中文名称"
     * )
     *
     * @var string
     */
    public $pCnName;

    /**
     * @Property(
     *     type="string",
     *     description="cas"
     * )
     *
     * @var string
     */
    public $cas;
}
