<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn\Properties;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;

/**
 * @Schema(
 *     title="订单项内容",
 *     description="订单项内容"
 * )
 *
 * @package App\Http\Responses
 */
class OrdersProperty
{
    /**
     * @Property(
     *     type="integer",
     *     description="soId"
     * )
     *
     * @var string
     */
    public $soId;

    /**
     * @Property(
     *     type="string",
     *     description="订单编号"
     * )
     *
     * @var string
     */
    public $soNo;


    /**
     * @Property(
     *     type="number",
     *     description="订单金额"
     * )
     *
     * @var string
     */
    public $soTotal;

    /**
     * @Property(
     *     type="integer",
     *     description="订单审核状态"
     * )
     *
     * @var string
     */
    public $soReviewStatus;

    /**
     * @Property(
     *     type="integer",
     *     description="订单支付状态"
     * )
     *
     * @var string
     */
    public $soPayStatus;

    /**
     * @Property(
     *     type="string",
     *     description="收货人"
     * )
     *
     * @var string
     */
    public $soCaName;

    /**
     * @Property(
     *     type="integer",
     *     description="收货人手机"
     * )
     *
     * @var string
     */
    public $soCaMobile;

    /**
     * @Property(
     *     type="integer",
     *     description="收货人电话"
     * )
     *
     * @var string
     */
    public $soCaPhone;

    /**
     * @Property(
     *     type="string",
     *     description="收货地省份"
     * )
     *
     * @var string
     */
    public $soCaProvince;

    /**
     * @Property(
     *     type="string",
     *     description="收货地城市"
     * )
     *
     * @var string
     */
    public $soCaCity;

    /**
     * @Property(
     *     type="string",
     *     description="收货地区县"
     * )
     *
     * @var string
     */
    public $soCaCounty;

    /**
     * @Property(
     *     type="string",
     *     description="收货地街道"
     * )
     *
     * @var string
     */
    public $soCaStreet;

    /**
     * @Property(
     *     type="string",
     *     description="收票人"
     * )
     *
     * @var string
     */
    public $soCiaName;

    /**
     * @Property(
     *     type="integer",
     *     description="收票人手机"
     * )
     *
     * @var string
     */
    public $soCiaMobile;

    /**
     * @Property(
     *     type="integer",
     *     description="收票人电话"
     * )
     *
     * @var string
     */
    public $soCiaPhone;

    /**
     * @Property(
     *     type="string",
     *     description="收票地省份"
     * )
     *
     * @var string
     */
    public $soCiaProvince;

    /**
     * @Property(
     *     type="string",
     *     description="收票地城市"
     * )
     *
     * @var string
     */
    public $soCiaCity;

    /**
     * @Property(
     *     type="string",
     *     description="收票地区县"
     * )
     *
     * @var string
     */
    public $soCiaCounty;

    /**
     * @Property(
     *     type="string",
     *     description="收票地街道"
     * )
     *
     * @var string
     */
    public $soCiaStreet;

    /**
     * @Property(
     *     type="integer",
     *     description="开票方式"
     * )
     *
     * @var string
     */
    public $soCiMethod;

    /**
     * @Property(
     *     type="integer",
     *     description="开票类型"
     * )
     *
     * @var string
     */
    public $soCiType;

    /**
     * @Property(
     *     type="string",
     *     description="开票抬头"
     * )
     *
     * @var string
     */
    public $soCiTitle;

    /**
     * @Property(
     *     type="string",
     *     description="开户行"
     * )
     *
     * @var string
     */
    public $soCiBank;

    /**
     * @Property(
     *     type="string",
     *     description="开户行账号"
     * )
     *
     * @var string
     */
    public $soCiBknum;

    /**
     * @Property(
     *     type="string",
     *     description="注册地"
     * )
     *
     * @var string
     */
    public $soCiAddr;

    /**
     * @Property(
     *     type="integer",
     *     description="注册电话"
     * )
     *
     * @var string
     */
    public $soCiPhone;

    /**
     * @Property(
     *     type="string",
     *     description="纳税人识别号"
     * )
     *
     * @var string
     */
    public $soCiVatno;

    /**
     * @Property(
     *     type="string",
     *     description="订单备注"
     * )
     *
     * @var string
     */
    public $soNote;

    /**
     * @Property(
     *     type="integer",
     *     description="下单时间"
     * )
     *
     * @var string
     */
    public $soCtime;
}
