<?php

namespace App\Http\Controllers\V1\Bhua;

use App\Services\Api\BhuaCustomerService;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;
use App\Http\Controllers\V1\Controller;
use App\Support\Traits\Helpers;

class CustomerController extends Controller
{
    use Helpers;

    public function __construct(BhuaCustomerService $bhuaCustomerService)
    {
       $this->bhuaCustomerService= $bhuaCustomerService;
       $this->controllerType = 'bhua';
    }

    public function getCustomer(Request $request)
    {
        $customerCode = $request->get('cusCode');
        if(!$customerCode){
            return Response::ok('客户编号不存在!');
        }
        try{
            $customer = $this->bhuaCustomerService->getCustomerByNumber($customerCode);
            return Response::success($this->formatKeysfromArray($customer),'操作成功');
        }catch(\Throwable $exception){
            return $this->returnErrorExecptionResponse($exception);
        }
    }

}
