<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\V1\Chemsite;

use App\Services\Api\Chemsite\ChemsiteCustomerService;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;
use App\Http\Controllers\V1\Controller;
use App\Support\Traits\Helpers;

class CustomerController extends Controller
{
    use Helpers;

    public function __construct(ChemsiteCustomerService $chemsiteCustomerService)
    {
       $this->chemsiteCustomerService= $chemsiteCustomerService;
       $this->controllerType = 'chemsite';
    }

    public function getCustomer(Request $request)
    {
        $customerCode = $request->get('cusCode');
        if(!$customerCode){
            return Response::ok('客户编号不存在!');
        }
        try{
            $customer = $this->chemsiteCustomerService->getCustomerByNumber($customerCode);
            return Response::success($this->formatKeysfromArray($customer),'操作成功');
        }catch(\Throwable $exception){
            return $this->returnErrorExecptionResponse($exception);
        }
    }

}
