<?php


namespace App\ImportExport;

use App\Services\SysLogService;
use App\Support\Facades\SimpleLogs;
use Maatwebsite\Excel\Facades\Excel;
use Maatwebsite\Excel\Excel as BaseExcel;

/**
 * 导出基础类
 */
class BaseExport
{
    protected $expand = '';

    public function __construct()
    {
        $this->setFileExpand(BaseExcel::XLSX);
    }

    public function setFileExpand($name)
    {
        $this->expand = $name;
    }

    public function storeExcel($excelContent, $filePath, $diskType = null){
        if($diskType == null){
            $diskType = config('filesystems.default');
        }
        try{
            if(Excel::store($excelContent,$filePath,$diskType, $this->expand)){
                $logContent = [
                    'filePath' => $filePath,
                    'diskType' => $diskType,
                    'datetime' => time()
                ];
                SimpleLogs::writeLog($logContent,__CLASS__.':storeExcel');
                return true;
            }
            return false;
        }catch(\Throwable $exception){
            SimpleLogs::writeLog($exception->getMessage(),__CLASS__.':storeExcel', 'error');
            throw $exception;
        }

    }
}
