<?php

namespace App\ImportExport;

use App\Exceptions\ServerRunTimeException;
use Illuminate\Contracts\Filesystem\Factory as FilesystemFactory;
use Maatwebsite\Excel\Excel as BaseExcel;
use Maatwebsite\Excel\Facades\Excel;

class BaseImport
{
    protected $expand = '';

    public function __construct()
    {
        $this->setFileExpand(BaseExcel::XLSX);
    }

    public function setFileExpand($name)
    {
        $this->expand = $name;
    }

    public function loadExcel($file, $importModel)
    {
        ini_set('memory_limit','3072M');
        $importDataRows = [];
        $filePath = config('filesystems.disks.local.root').'/'.$file;
        if($filePath){
            $importDataRows = Excel::toArray($importModel,$filePath);
            $importDataRows = current($importDataRows);

            if(empty($importDataRows)){
                throw new ServerRunTimeException('导入文件数据为空');
            }
            /*if(count($importDataRows) > $importModel->chunkSize()){
                throw new ServerRunTimeException('导入数据量超出'.$importModel->chunkSize().'条范围');
            }*/
        }

        return $importDataRows;
    }

}