<?php


namespace App\ImportExport\WuxiLab\Export\Models;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithHeadings;

class WuxiLabPackagesExportModel implements FromArray,WithHeadings, ShouldAutoSize
{
    private $exportContent = [];

    public function __construct($exportContent)
    {
        $this->setExportContent($exportContent);
    }

    public function setExportContent($content)
    {
        $this->exportContent = $this->toMap($content);
    }

    public function array(): array
    {
        return $this->exportContent;
    }

    public function toMap($rows): array
    {
        $exportRows = [];
        array_push($exportRows,['','','','','','','','','','','','','','','','','','','']);
        foreach($rows as $key => $row){
            array_push($exportRows,[
                $row['r_code'], '', trim($row['p_pack']).''.strtolower($row['p_pack_unit']), rand(5,10), 'CN-SH', $row['p_price'], '0.5',
                'RMB', 'CN', $row['p_price'] * 0.6
            ]);
        }

        return $exportRows;
    }

    public function headings(): array
    {
        return $this->getHeaderTitle();
    }

    private function getHeaderTitle()
    {
        return [
            'ProductId', 'PackageItemNumber', 'PackageUnitDescription', 'PackageStockQuantity', 'PackageStockLocation', 'ListPrice', 'discount', 'Currency', 'PriceCountry',
            'LNCost'
        ];
    }
}
