<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Jobs;

use App\Services\WuxiLabService;

class WuxiLabJob extends Job
{

    protected $actionType = null;
    protected $params = null;

    public function __construct($actionType,$params)
    {
        $this->actionType = $actionType;
        $this->params = $params;
    }

    public function handle()
    {
        $service = app(WuxiLabService::class);
        switch($this->actionType){
            case 'initProductToExcel' :
                if(!isset($params) || $params == 0){
                    $params['limit'] = 1000;
                }
                $service->initCreateProductsToExcel($params['limit']);
                break;
            case 'batchUpdatePackages' :
                if(!isset($params) || $params == 0){
                    $params['limit'] = 1000;
                }
                $service->batchUpdatePackagesInfo($this->params);
                break;
            case 'batchUploadProducts' :
                $service->batchUploadProducts();
                break;
            case 'batchUpdateProduct' :
                $service->batchUpdateProducts();
                break;
            case 'test' :
                $service->test($this->params);
                break;
            default:
        }
    }
}
