<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Jobs;


use App\Services\ThirdPlatform\ZhenKhService;

class ZhenkhJob extends Job
{

    protected $actionType = null;
    protected $params = null;

    public function __construct($actionType,$params)
    {
        $this->actionType = $actionType;
        $this->params = $params;
    }

    public function handle()
    {
        $service = app(ZhenKhService::class);
        switch($this->actionType){
            case 'test' :
                $service->test();
                break;
            case 'getUpdateGoods' :
                $service->getUpdateSupplierGoods();
                break;
            case 'getUpdateOrders' :
                $service->getUpdateSupplierOrders();
                break;
            case 'sendDeliveryOrder' :
                $service->sendDeliveryOrder($this->params);
                break;
            case 'getDeliveryOrderDetail' :
                $service->getDeliveryOrderPdf($this->params);
                break;
            case 'orderNoRollBack' :
                $service->orderNoRollBack();
                break;
            case 'createJwtToken' :
                $service->createJwtToken();
                break;
            case 'hMUpdateOrdersList' :
                $service->hMUpdateOrdersList();
                break;
            case 'sendMail' :
                $service->sendMail('订单确认邮件', '订单号:未确认成功');
            case 'orderConfirm' :
                $service->orderConfirm($this->params);
            default:
        }
    }
}

