<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Providers;

use Illuminate\Filesystem\Filesystem;
use Illuminate\Support\Str;
use Prettus\Repository\Providers\LumenRepositoryServiceProvider;

class RepositoryServiceProvider extends LumenRepositoryServiceProvider
{

    public function register()
    {
        parent::register(); // TODO: Change the autogenerated stub

        $this->bindRepository('app/Repositories/Contracts');
        $this->bindRepository('app/Rhawn/Repositories/Contracts');
        $this->bindRepository('app/Finance/Repositories/Contracts');
    }

    protected function bindRepository($path)
    {
        $files = app(Filesystem::class)->allFiles(base_path($path));
        if($files){
            collect($files)->map(function ($file) use ($path){
                $filePath = $file->getRelativePathname();
                $class = str_replace('/', '\\', $path).'\\';
                if(!Str::contains($path, 'app')){
                    $class = 'app\\'.$class;
                }
                $class = ucfirst($class);
                $concrete = str_replace('Contracts', 'Eloquent', $class);
                if(Str::contains($filePath,'/')){
                    list($directory, $file) = explode('/',$filePath);
                    $class .= "$directory\\";
                    $concrete .= "$directory\\";
                    $filePath = $file;
                }
                list($name,$extend) = explode('.',$filePath);

                $this->app->bind($class.$name, $concrete.$name."Eloquent");
            });
        }
    }
}
