<?php

namespace App\Repositories\Eloquent;

use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\Transformers\Rhawn\OrdersListTransformer;
use App\Rhawn\Repositories\Eloquent\RhawnCustomerRepositoryEloquent;
use App\Rhawn\Repositories\Eloquent\RhawnProductRepositoryEloquent;
use App\Rhawn\Repositories\Models\RhawnSorders;
use Illuminate\Support\Facades\DB;

/**
 * Class UserRepositoryEloquent.
 */
class RhawnSordersRepositoryEloquent extends \App\Rhawn\Repositories\Eloquent\RhawnSordersRepositoryEloquent
{
    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return RhawnSorders::class;
    }

    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    public function getCustomerOrderList($cusId,$pageSize,$offset)
    {
        $orderList = parent::getOrdersListThroughtUserId($cusId,$pageSize,$offset);
        return app(OrdersListTransformer::class)->transform($orderList);
    }

    public function orderTotalByCusId($cusId)
    {
        return parent::count([
            'cus_id' => $cusId
        ]);
    }

}
