<?php

namespace App\Repositories\Eloquent;

use App\Repositories\BaseRepository;
use App\Repositories\Contracts\SysLogRepository;
use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\Models\SysLog;
use Prettus\Validator\Contracts\ValidatorInterface;

/**
 * Class UserRepositoryEloquent.
 */
class SysLogRepositoryEloquent extends BaseRepository implements SysLogRepository
{
    protected $fieldSearchable = [
    ];

    /**
     * 定义validator的检索规则
     * @var \string[][]
     */
    public $rules = [
        ValidatorInterface::RULE_CREATE => [
            'menu_name'  => 'required',
            'title'      => 'required',
            'menu_path'  => 'required',
            'parent_id'  => 'required',
            'menu_type'  => 'required',
            'status'  => 'required',
            'sort'  => 'required',
            'is_show'  => 'required',
            'sys_default'  => 'required'
        ],
        ValidatorInterface::RULE_UPDATE => [
            'menu_name'  => 'required',
            'title'      => 'required',
            'menu_path'  => 'required',
            'parent_id'  => 'required',
            'menu_type'  => 'required',
            'status'  => 'required',
            'sort'  => 'required',
            'is_show'  => 'required',
            'sys_default'  => 'required'
        ]
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return SysLog::class;
    }

    /**
     * Boot up the repository, pushing criteria.
     *
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }
}
