<?php

namespace App\Repositories\Eloquent;

use App\Repositories\Contracts\SystemJournalRepository;
use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\BaseRepository;
use App\Repositories\Models\SystemJournal;

class SystemJournalRepositoryEloquent extends BaseRepository implements SystemJournalRepository
{
    protected $fieldSearchable = [
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return SystemJournal::class;
    }

    /**
     * Boot up the repository, pushing criteria.
     *
     * @throws \Prettus\Repository\Exceptions\RepositoryException
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    public function createJournal($logs)
    {
        $saveParams = $logs;
        $saveParams['created_at'] = date('Y-m-d H:i:s',time());
        $saveParams['updated_at'] = date('Y-m-d H:i:s',time());

        return $this->create($saveParams);
    }
}
