<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Finance;

use League\Fractal\TransformerAbstract;

class InvoiceRecordStatusDetailTransformer extends TransformerAbstract
{
    public function transform($invoice)
    {
        $invoiceTransReturn = [];
        if($invoice){
            foreach($invoice as $invo){
                $temp = [];
                $temp['invoice_number'] = $invo['invoice_number'];
                $temp['api_response'] = $invo['api_response'];
                $temp['invoice_status'] = $invo['invoice_status']; //发票状态 0:已申请待确认 1：已确认 2: 发票失败 3:开票作废已申请 4：蓝字发票作废
                $temp['request_params'] = $invo['params'];

                array_push($invoiceTransReturn,$temp);
            }
        }
        return $invoiceTransReturn;
    }
}
