<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Finance;

use League\Fractal\TransformerAbstract;

class InvoiceRecordTransformer extends TransformerAbstract
{
    public function transform($invoice)
    {
        $invoiceTransReturn = [];
        if($invoice){
            foreach($invoice as $invo){
                $temp = [];
                $temp['invoice_number'] = $invo['invoice_number'];
                $temp['invoice_real_number'] = $invo['invoice_real_number'];
                $temp['invoice_type'] = $invo['invoice_type'] == 1 ? 'blue' : 'red';
                $temp['invoice_status'] = $invo['invoice_status']; //发票状态 0:已申请待确认 1：已确认 2: 发票失败 3:开票作废已申请 4：蓝字发票作废
                $temp['invoice_money'] = $invo['invoice_money'];
                $temp['invoice_platform'] = $invo['invoice_platform'];
                $temp['platform_invoice_id'] = $invo['platform_invoice_id'];
                $temp['invoice_creater_by'] = $invo['invoice_creater_by'];
                $temp['invoice_category'] = $invo['invoice_category'];
                $temp['invoice_items'] = $invo['invoice_items'];
                $temp['invoice_customer'] = $invo['invoice_customer'];
                $temp['invoice_real_date'] = date('Y-m-d H:i:s',$invo['invoice_real_date']);
                $temp['invoice_pdf_url'] = $invo['invoice_pdf_url'];
                $temp['invoice_created_at'] = $invo['created_at'];
                $temp['invoice_updated_at'] = $invo['updated_at'];

                array_push($invoiceTransReturn,$temp);
            }
        }
        return $invoiceTransReturn;
    }
}
