<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Rhawn\Bhua;

use League\Fractal\TransformerAbstract;

class ProductsTransformer extends TransformerAbstract
{
    /**
     * 格式化结
     * @param $rhawnSorders
     * @return array
     */
    public function transform($products,$type = 'all')
    {
        $productTransReturn = [];
        if($products){
            foreach($products as $product){
                $temp = [];
                $temp['code'] = $product['p_code'];//中文别名
                $temp['cas'] = $product['c_cas'];//CAS号
                $temp['chem_cn_name'] = $product['c_cn_name'];//中文名
                $temp['chem_en_name'] = $product['c_en_name'];//中文名
                $temp['cn_name'] = $product['p_cn_name'];//中文名
                $temp['en_name'] = $product['p_en_name'];//英文名
                $temp['level'] = $product['p_level'];//项目规格
                if($type == 'all'){
                    $temp['delivery'] = $product['p_tod'];//货期
                }
                $temp['price'] = bcmul($product['p_price'],1,2);//单价
                if($product['c_if_dangers'] == 1){
                    $temp['if_dangers'] = 1;//是否危化品
                }else{
                    $temp['if_dangers'] = 0;//是否危化品
                }
                if($product['p_status'] == 0 || $product['p_show'] == 0){
                    $temp['status'] = 0;
                    $temp['price'] = 0;
                }else{
                    $temp['status'] = 1;
                }
                $temp['pack'] = $product['p_pack'];//包装规格
                array_push($productTransReturn,$temp);
            }
        }
        return $productTransReturn;
    }
}
