<?php

namespace App\Rhawn\Repositories\Eloquent;

use App\Rhawn\Repositories\Contracts\BhuaBrandsRepository;
use App\Rhawn\Repositories\Models\BhuaBrands;
use Illuminate\Support\Facades\DB;
use Prettus\Validator\Contracts\ValidatorInterface;

/**
 * Class UserRepositoryEloquent.
 */
class BhuaBrandsRepositoryEloquent extends BaseRepository implements BhuaBrandsRepository
{
    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model(): string
    {
        return BhuaBrands::class;
    }

    /**
     * 获取产品信息
     * @param $where
     * @param $offset
     * @param $pageSize
     * @return null
     */
    public function getList($where, $offset, $limit)
    {
        $model = BhuaBrands::query();
        if(!empty($where)){
            foreach($where as $key => $w){
                if(!is_array($w)){
                    $model->where($key,$w);
                }else{
                    $model->whereIn($key,$w);
                }
            }
        }
        $brandslist = $model->offset($offset)->limit($limit)->get();
        if($brandslist){
            return $brandslist->toArray();
        }
        return null;
    }

    public function getBrandById($id): array
    {
        $brand = $this->findWhere(['b_id' => $id]);
        return $brand->toArray();
    }

}
