<?php

namespace App\Rhawn\Repositories\Eloquent;

use App\Rhawn\Repositories\Contracts\BhuaInvoiceRepository;
use App\Rhawn\Repositories\Contracts\RhawnInvoiceRepository;
use App\Rhawn\Repositories\Models\BhuaInvoice;

class BhuaInvoiceRepositoryEloquent extends BaseRepository implements BhuaInvoiceRepository
{
    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return BhuaInvoice::class;
    }

    public function getInvoiceItemsByInvoiceNumber($invoiceNumber)
    {
        $invoiceDetailInfo = $this
            ->join('soidetail','soinvoice.soi_id','soidetail.soi_id')
            ->where('soinvoice.soi_no','=',$invoiceNumber)
            ->get()->toArray();
        if(!$invoiceDetailInfo){
            return null;
        }
        return $invoiceDetailInfo;
    }

}
