<?php

namespace App\Rhawn\Repositories\Eloquent;

use App\Rhawn\Repositories\Contracts\RhawnInvoiceRepository;
use App\Rhawn\Repositories\Models\RhawnInvoice;
use Illuminate\Support\Facades\DB;
use Illuminate\Validation\Rules\In;

class RhawnInvoiceRepositoryEloquent extends BaseRepository implements RhawnInvoiceRepository
{
    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return RhawnInvoice::class;
    }

    public function getInvoiceItemsByInvoiceNumber($invoiceNumber)
    {
        $invoiceDetailInfo = $this
            ->join('soidetail','soinvoice.soi_id','soidetail.soi_id')
            ->where('soinvoice.soi_no','=',$invoiceNumber)
            ->get()->toArray();
        if(!$invoiceDetailInfo){
            return null;
        }
        return $invoiceDetailInfo;
    }

    public function getInvoiceItemsByDpdIds($dpdIds)
    {
        $invoiceDetailInfo = $this
            ->join('soidetail','soinvoice.soi_id','soidetail.soi_id')
            ->join('dpdetail','dpdetail.dpd_id', 'soidetail.dpd_id')
            ->whereIn('dpdetail.dpd_id',(array)$dpdIds)
            ->get()->toArray();
        if(!$invoiceDetailInfo){
            return null;
        }
        return $invoiceDetailInfo;
    }

}
