<?php

namespace App\Rhawn\Repositories\Eloquent;

use App\Rhawn\Repositories\Contracts\RhawnRawRepository;
use App\Rhawn\Repositories\Models\RhawnProducts;
use App\Rhawn\Repositories\Models\RhawnRaw;
use Illuminate\Support\Facades\DB;
use Prettus\Validator\Contracts\ValidatorInterface;

/**
 * Class UserRepositoryEloquent.
 */
class RhawnRawRepositoryEloquent extends BaseRepository implements RhawnRawRepository
{
    protected $fieldSearchable = [
    ];

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return RhawnRaw::class;
    }

    public function getRawListLimit($pageSize = 1000, $offset = 0)
    {
        $rawList = RhawnRaw::query()
            ->join('chemicals', 'chemicals.c_id','raw.c_id')
            ->offset($offset)
            ->limit($pageSize)
            ->get();

        return $rawList->toArray();
    }

    /**
     *  通过rawcode获取产品及规格信息
     * @param $rawCode
     * @return array
     */
    public function getRawProductsThroughtRawCode($rawCode)
    {
        return $this->getRawProducts([
            'raw.r_code' => $rawCode
        ]);
    }

    public function getRawProducts($where)
    {
        $raw = $this
            ->join('products', 'products.r_id','raw.r_id')
            ->join('chemicals', 'chemicals.c_id','raw.c_id');
        foreach($where as $key => $w){
            if(!is_array($w)){
                $raw->where($key,$w);
            }else{
                $raw->whereIn($key,$w);
            }
        }
        return $raw->get()->toArray();
    }

    public function getProductPackage($rawProductIds)
    {
        return $this->getRawProducts([
           'raw.r_id' => $rawProductIds
        ]);
    }
}
