<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Rhawn\Services;

use App\Rhawn\Repositories\Contracts\BhuaCustomerRepository;
use App\Support\Facades\SimpleLogs;
use Illuminate\Support\Facades\DB;

class BhuaCustomerService
{
    public function __construct(BhuaCustomerRepository $bhuaCustomerRepository)
    {
        $this->customerRepository = $bhuaCustomerRepository;
    }

    public function getBhuaCustomerThroughtCusCode($cusCode)
    {
        $customerInfo = $this->customerRepository->getCustomerThroughtCusCode($cusCode);
        return $customerInfo;
    }

    public function getCustomerListByCusCode($cusNo,$offset,$limit)
    {
        $customer = $this->customerRepository->getCustomerList(['cus_no' => $cusNo],$offset,$limit);
        return $customer;
    }

    /**
     * 检查客户信息是否存在
     * @param $cusCode
     * @return mixed
     * @throws \Exception
     */
    public function checkCustomerExist($cusCode)
    {
        //查询用户是否存在
        $customer = $this->customerRepository->getCustomerThroughtCusCode($cusCode);
        if(!$customer){
            throw new \Exception('客户编号为:['.$cusCode.']的用户不存在!',500);
        }
        return $customer;
    }

}
