<?php

namespace App\Services\Api;

use App\Repositories\Transformers\Rhawn\CustomersTransformer;
use App\Rhawn\Repositories\Eloquent\BhuaCustomerRepositoryEloquent;

class BhuaCustomerService
{

    private $bhuaCustomerService;

    public function __construct(\App\Rhawn\Services\BhuaCustomerService $bhuaCustomerService)
    {
        $this->bhuaCustomerService = $bhuaCustomerService;
    }

    public function getCustomerByNumber($customerNumber)
    {
        $customer = $this->bhuaCustomerService->getBhuaCustomerThroughtCusCode($customerNumber);
        return current(app(BhuaCustomerRepositoryEloquent::class)->transformData([$customer], CustomersTransformer::class));
    }

}
