<?php

namespace App\Services\Api\Chemsite;

use App\Repositories\Transformers\Chemsite\CustomersTransformer;
use App\Rhawn\Repositories\Eloquent\Chemsite\ChemsiteCustomerRepositoryEloquent;

class ChemsiteCustomerService
{

    private $chemsiteCustomerService;

    public function __construct(\App\Rhawn\Services\Chemsite\ChemsiteCustomerService $chemsiteCustomerService)
    {
        $this->chemsiteCustomerService = $chemsiteCustomerService;
    }

    public function getCustomerByNumber($customerNumber)
    {
        $customer = $this->chemsiteCustomerService->getCustomerThroughCusCode($customerNumber);
        return current(app(ChemsiteCustomerRepositoryEloquent::class)->transformData([$customer], CustomersTransformer::class));
    }

}
