<?php

namespace App\Services\Api;

use App\Repositories\Transformers\Rhawn\CustomersTransformer;
use App\Rhawn\Repositories\Eloquent\RhawnCustomerRepositoryEloquent;

class RhawnCustomerService
{

    private $rhawnCustomerService;

    public function __construct(\App\Rhawn\Services\RhawnCustomerService $rhawnCustomerService)
    {
        $this->rhawnCustomerService = $rhawnCustomerService;
    }

    public function getCustomerByNumber($customerNumber)
    {
        $customer = $this->rhawnCustomerService->getRhawnCustomerThroughtCusCode($customerNumber);
        return current(app(RhawnCustomerRepositoryEloquent::class)->transformData([$customer], CustomersTransformer::class));
    }

}
