<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services;

use App\Repositories\Contracts\PlatformDataEntriesRepository;
use App\Repositories\Eloquent\ThirdApiPlatformRepositoryEloquent;

class PlatformDataEntriesService
{
    public function __construct(PlatformDataEntriesRepository $platformDataEntriesRepository)
    {
        $this->entiresRepository = $platformDataEntriesRepository;
    }

    public function storeEntries($platformId, $key, $values)
    {
        $platform = app(ThirdApiPlatformRepositoryEloquent::class)->find($platformId)->toArray();
        if(!$platform){
            return false;
        }
        $this->entiresRepository->storeEntries($platformId, $key, $values);
    }

    public function getEntriesValues($platformId, $key = null)
    {
       return $this->entiresRepository->getEntriesValues($platformId,$key);
    }

    public function removeEntriesValues($platformId, $key)
    {
        return $this->entiresRepository->removeEntries($platformId, $key);
    }
}
