<?php

namespace App\Services;

use App\Repositories\Contracts\SystemJournalRepository;
use App\Repositories\Criteria\SystemJournalCriteria;
use App\Repositories\Transformers\SystemJournalTransformer;
use App\Support\Traits\Helpers;
use Illuminate\Support\Str;
use longlang\phpkafka\Protocol\DescribeLogDirs\DescribableLogDirTopic;

class SystemJournalService
{
    use Helpers;

    public function __construct(SystemJournalRepository $systemJournalRepository)
    {
        $this->systemJournalRepository = $systemJournalRepository;
    }

    public function writeToDbLog(&$context, $serverData)
    {
        $request = $context;

        $dbLog = [];
        $dbLog['uniqueid'] = $request['uniqueId'];

        $dbLog['request_type'] = $serverData['REQUEST_METHOD'];
        $dbLog['request_route'] = Str::replace('?'.$serverData['QUERY_STRING'],'',$serverData['REQUEST_URI']);
        $dbLog['request_params'] = json_encode($request['request']);
        $dbLog['token'] = $request['token'];
        $dbLog['ip'] = $serverData['REMOTE_ADDR'];
        $dbLog['device_info'] = $serverData['HTTP_USER_AGENT'];

        $context['end'] = microtime(true);
        $context['duration'] = format_duration($context['end'] - $context['start']);

        $dbLog['duration'] = $context['duration'];

        $result = $this->systemJournalRepository->createJournal($dbLog);

        return (bool)$result;
    }
}
