<?php

namespace App\Services\ThirdPlatform\Api;

use App\Repositories\Contracts\ThirdApiPlatformRepository;
use App\Services\ThirdPlatform\PlatformAbstractService;
use App\Support\Facades\SimpleLogs;
use App\Support\Traits\HttpClientHelpers;


class ChemSrcApiService extends PlatformAbstractService
{
    use HttpClientHelpers;

    public function __construct(ThirdApiPlatformRepository $thirdApiPlatformRepository)
    {
        parent::__construct($thirdApiPlatformRepository);
        $this->setPlatformName('chemsrc');
        $this->getPlatformInfo();
    }

    public function getCasWebInfo($cas)
    {
        try {
            if ($this->checkPlatformStatus()) {
                $cas = urlencode(urlencode(iconv("gbk", "UTF-8", $cas)));
                return $this->clientRequest('get', $this->platformInfo['platform_url'] . '/searchResult/'.$cas.'/', [], false);
            }
        }catch(\Exception $e){
            $this->requestError($e);
        }
    }

    protected function requestError($response)
    {
        SimpleLogs::writeLog($response->getMessage(), 'WuxiApi error', 'error');
        throw $response;
    }
}
