<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services\ThirdPlatform;

use App\Repositories\Contracts\WuxiLabUpdateProductsRepository;
use App\Support\Traits\Helpers;

class WuxiLabUpdateProductsService
{
    use Helpers;
    public function __construct(WuxiLabUpdateProductsRepository $wuxiLabUpdateProductsRepository)
    {
        $this->wuxiLabUpdateProductsRepository = $wuxiLabUpdateProductsRepository;
    }

    public function saveUpdateProducts($params, $title)
    {
        $saveProduct = [];

        foreach($title as $key => $t){
            $titleKey = $this->toUnderScore($t);
            $saveProduct[$titleKey] = $this->stripHtml($params[$key]);
        }

        if(!empty($saveProduct)){
            return $this->wuxiLabUpdateProductsRepository->createOrUpdate($saveProduct, ['product_id' => $saveProduct['product_id'], 'cas' => $saveProduct['cas']]);
        }
        return true;
    }

    public function getUpdateProductsListByProductIds($ids)
    {
        $productList = $this->wuxiLabUpdateProductsRepository->findWhereIn('product_id', (array)$ids);
        if($productList){
            return  $productList->toArray();
        }
        return null;
    }
}
