<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        $tableNames = 'admin_users';

        Schema::create($tableNames, function (Blueprint $table) {
            $table->id();
            $table->string('username')->comment('登陆用户名');
            $table->string('nickname')->comment('用户名称');
            $table->string('password')->comment('密码');
            $table->string('email')->nullable()->comment('邮箱');
            $table->string('token')->nullable()->comment('token安全令牌');
            $table->unsignedTinyInteger('is_admin')->default(0)->comment('是否是超级管理员 0:否 1:是');
            $table->unsignedTinyInteger('status')->default(0)->comment('账号状态 0:关闭 1 开启');
            $table->unsignedTinyInteger('lastlogin')->nullable()->comment('最后登陆时间');

            $table->timestamps();
        });
        $columnNames = 'username';
        Schema::table($tableNames,function(Blueprint $table) use ($tableNames,$columnNames){
            DB::statement('ALTER TABLE '.$tableNames. ' ROW_FORMAT=DYNAMIC;');
            $table->index([$columnNames]);
        });
    }


    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::dropIfExists('admin_users');
    }
}
