<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMenusTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('menus', function (Blueprint $table) {
            $table->id();
            $table->string('menu_name')->comment('菜单名称');
            $table->string('title')->comment('菜单标题');
            $table->string('menu_path')->comment('菜单路径');
            $table->smallInteger('parent_id')->comment('父级菜单id');
            $table->enum('menu_type',['top','page','button'])->comment('菜单类型');
            $table->string('menu_icon')->nullable()->comment('菜单图标');
            $table->string('component')->nullable()->comment('页面组件');
            $table->unsignedTinyInteger('status')->comment('菜单状态 0:未开启 1:开启');
            $table->unsignedTinyInteger('is_show')->comment('菜单状态 0:不显示 1:显示');
            $table->unsignedTinyInteger('sys_default')->default(0)->comment('是否是默认菜单');
            $table->unsignedTinyInteger('sort')->comment('排序');
            $table->unsignedInteger('created_by')->comment('创建人');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menus');
    }
}
