<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateThirdApiPlatform extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('third_api_platform', function (Blueprint $table) {
            $table->id();
            $table->string('platform_name')->nullable()->comment('平台名称');
            $table->string('platform_title')->nullable()->comment('平台标题');
            $table->string('platform_url')->comment('平台网址');
            $table->string('platform_desc')->comment('平台描述');
            $table->string('platform_icon')->comment('平台icon');
            $table->string('platform_params')->comment('平台参数');
            $table->enum('platform_type',['self','third'])->nullable()->comment('平台类型');
            $table->string('platform_token')->nullable()->comment('平台token');
            $table->unsignedTinyInteger('platform_status')->nullable()->comment('平台状态');

            $table->timestamps();
        });

        $tableNames = 'third_api_platform';
        $columnNames = 'platform_name';
        Schema::table($tableNames,function(Blueprint $table) use ($tableNames,$columnNames){
            DB::statement('ALTER TABLE '.$tableNames. ' ROW_FORMAT=DYNAMIC;');
            $table->index([$columnNames]);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('third_api_platform');
    }
}
