<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateKafkaFailQueueTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('kafka_fail_queue', function (Blueprint $table) {
            $table->id();
            $table->string('platform_name')->nullable()->comment('平台名称');
            $table->text('queue_params')->nullable()->comment('失败队列内容');
            $table->text('fail_content')->comment('失败原因');
            $table->integer('queue_reset')->default(0)->comment('重跑时间');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('kafka_fail_queue');
    }
}
