<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePlatformDataEntriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('platform_data_entries', function (Blueprint $table) {
            $table->id();
            $table->integer('platform_id')->comment('平台id');
            $table->string('data_key')->nullable()->comment('key');
            $table->text('data_values')->nullable()->comment('values');
            $table->integer('expire_time')->default(0)->comment('数据过期时间');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('platform_data_entries');
    }
}
