<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomerPlatformInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customer_platform_info', function (Blueprint $table) {
            $table->id();
            $table->integer('cus_id')->nullable()->comment('客户id');
            $table->string('cus_number')->comment('客户编号');
            $table->string('company_name')->nullable()->comment('公司名称');
            $table->string('token')->nullable()->comment('用户token');
            $table->string('platform_params')->comment('平台参数');
            $table->unsignedTinyInteger('status')->nullable()->comment('平台状态');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customer_platform_info');
    }
}
