<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFinanceInvoiceRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('finance_invoice_record', function (Blueprint $table) {
            $table->id();

            $table->string('invoice_number')->nullable(false)->comment('发票编号');
            $table->string('invoice_real_number')->nullable()->comment('发票真实编号');
            $table->integer('invoice_type')->nullable(false)->comment('发票类型 1：蓝字 2：红字');
            $table->integer('invoice_status')->nullable(false)->comment('发票状态 0:已申请待确认 1：已确认 2: 发票失败 3:开票作废已申请 4：蓝字发票作废');
            $table->decimal('invoice_money')->nullable(false)->comment('开票金额');
            $table->string('invoice_platform')->nullable(false)->comment('订单所属平台: rhawn ,bhua');
            $table->string('platform_invoice_id')->nullable(false)->comment('平台发票id');
            $table->string('invoice_creater_by')->nullable(false)->comment('开票人');
            $table->string('invoice_category')->nullable(false)->comment('开票种类 1:普票 2:专票');
            $table->text('invoice_items')->nullable(false)->comment('发票开票项明细');
            $table->text('invoice_customer')->nullable(false)->comment('发票购买方信息');

            $table->string('invoice_real_date')->nullable()->comment('发票真实开票日期');
            $table->string('invoice_pdf_url')->nullable()->comment('发票pdf下载地址');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('finance_invoices_record');
    }
}