<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSystemJournalTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('system_journal', function (Blueprint $table) {
            $table->id();

            $table->string('uniqueid')->comment('uniqueid')->nullable(false);
            $table->string('request_type')->nullable(false)->comment('请求类型');
            $table->string('request_route')->nullable(false)->comment('请求路径');
            $table->longText('request_params')->nullable(false)->comment('请求参数');
            $table->string('token')->nullable(false)->comment('操作账号');
            $table->string('ip')->nullable(false)->comment('ip地址');
            $table->string('duration')->nullable(false)->comment('操作时长');
            $table->text('device_info')->nullable(false)->comment('设备信息');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('system_journal');
    }
}
