<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWuxilabUpdateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wuxilab_update_products', function (Blueprint $table) {
            $table->id();

            $table->string('product_id')->nullable(false)->comment('产品id');
            $table->string('cas')->nullable()->comment('cas');
            $table->string('mdl')->nullable(true)->comment('mdl');
            $table->string('smiles')->nullable(true)->comment('smiles');
            $table->string('molecular_formula')->nullable(false)->comment('分子式');
            $table->string('molecular_weight')->nullable(true)->comment('分子量');
            $table->string('chemical_dissolve_cas')->nullable(true)->comment('溶剂cas号');
            $table->string('sub_category')->nullable(false)->comment('子分类类型');
            $table->string('un')->nullable(true)->comment('un编号');
            $table->text('english_name')->nullable(false)->comment('英文名');
            $table->text('chinese_name')->nullable(true)->comment('中文名');
            $table->string('brand')->nullable(true)->comment('品牌');
            $table->string('storage_condition')->nullable(false)->comment('存储条件
0 室温
1 冷藏（0-4度）
2 冷冻（-18度或-30度）
8 深度冷冻（-60度以上至-80度）
9 液氮
10 混合条件，按照产品标识储存
');
            $table->string('transportation_condition')->nullable(false)->comment('运输条件
0 室温
1 干冰
2 蓝冰
5 液氮
');
            $table->integer('is_imported')->nullable(false)->comment('是否进口
0 国产
1 进口
');

            $table->string('lead_time_min_days')->nullable(true)->comment('现货最小发货天数');
            $table->string('lead_time_max_days')->nullable(true)->comment('现货最大发货天数');
            $table->string('lead_time_back_order_days')->nullable(true)->comment('补货天数');
            $table->string('purity')->nullable(false)->comment('含量');
            $table->string('product_category')->nullable(false)->comment('产品种类');
            $table->string('ships_additional_description')->nullable(true)->comment('发货附加描述字段');
            $table->string('remark')->nullable(true)->comment('备注');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('wuxilab_update_products');
    }
}
