<?php

use Illuminate\Database\Seeder;

use Illuminate\Support\Facades\DB;

class PlatformDataEntriesSeeder extends Seeder
{
    protected $entries = [
        /*[
            'platform_id' => 27,
            'data_key' => 'zkh_order_invoice',
            'data_values' => [
                'id' => '3884',
                'name' => '金幸子',
                'mobile' => '15549076754',
                'phone' => '',
                'province' => '湖北省',
                'city' => '武汉市',
                'county' => '洪山区',
                'street' => '武汉市洪山区软件园中路4号软件园六期E1栋6楼2室震坤行',
                'type' => '2',
                'title' => '震坤行工业超市（上海）有限公司',
                'vatno' => '91310118632206381P',
                'bank' => '中国建设银行上海市曹家渡支行',
                'banknum' => '31001540700050005679',
                'address' => '上海浦东科苑路399号张江创新园5号楼',
                'company_phone' => '400-680-9696'
            ]
        ],
        [
            'platform_id' => 27,
            'data_key' => 'sys_delivery_logistics',
            'data_values' => [
                'JD'=>'京东',
                'SF'=>'顺丰',
                'ZT'=>'中通',
                'YD'=>'韵达',
                'ZJS'=>'宅急送',
                'DBL'=>'德邦',
                'YTO'=>'圆通',
                'YZPY'=>'邮政',
                'AN'=>'安能',
                'STO'=>'申通',
                'HHTT'=>'天天',
                'WL'=>'物流',
                'ziti'=>'自提'
            ]
        ],*/

        [
            'platform_id' => 27,
            'data_key' => 'zkh_send_mailer',
            'data_values' => [
                'it@rhawn.cn','yuxiaohui@rhawn.cn','hangjun@rhawn.cn'
            ]
        ]    ];

    public function run()
    {
        try{
            if(!empty($this->entries)){
                foreach($this->entries as &$entry){
                    if(is_array($entry['data_values']) && !empty($entry['data_values'])){
                        $entry['data_values'] = json_encode($entry['data_values']);
                    }
                    app(\App\Repositories\Contracts\PlatformDataEntriesRepository::class)->storeEntries($entry['platform_id'],$entry['data_key'],$entry['data_values']);
                }
            }

            $this->command->getOutput()->info('初始化数据成功.');

        }catch(Exception $e){
            $this->command->getOutput()->error('初始化数据失败，原因：'.$e->getMessage());
        }

    }
}
