<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
 */

$api->version('v1', function($api) {

    $api->group(['namespace'=>'App\Http\Controllers\V1\Finance','middleware' => ['throttle:60,1']], function($api) {
        $api->post('/finance/invoice/baiwang/apiCallBack', ['uses'=>'InvoiceController@baiwangInvoiceCallBack']);
        $api->get('/finance/invoice/download', ['uses'=>'InvoiceController@baiwangInvoiceDownload']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Finance','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/finance/invoice/applyInvoice', ['permission' => 'finance.applyInvoice', 'uses'=>'InvoiceController@applyInvoice']);
        $api->post('/finance/invoice/downloadInvoice', ['permission' => 'finance.downloadInvoice', 'uses'=>'InvoiceController@downloadInvoice']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Finance\Front','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/finance/invoice/getInvoiceRecordList', ['permission' => 'finance.getInvoiceRecordList', 'uses'=>'InvoiceController@getInvoiceRecordList']);
        $api->post('/finance/invoice/getInvoiceStatusDetail', ['permission' => 'finance.getInvoiceStatusDetail', 'uses'=>'InvoiceController@getInvoiceStatusDetail']);
        $api->post('/finance/invoice/invoiceRequestReset', ['permission' => 'finance.invoiceRequestReset', 'uses'=>'InvoiceController@invoiceRequestReset']);
        $api->post('/finance/invoice/delInvoiceRecord', ['permission' => 'finance.delInvoiceRecord', 'uses'=>'InvoiceController@delInvoiceRecord']);
    });

});

